import request from '@/utils/request'

// 查询联系人管理列表
export function listContact(query) {
  return request({
    url: '/mk/bo/contact/list',
    method: 'get',
    params: query
  })
}

// 查询联系人管理详细
export function getContact(id) {
  return request({
    url: '/mk/bo/contact/' + id,
    method: 'get'
  })
}

// 新增联系人管理
export function addContact(data) {
  return request({
    url: '/mk/bo/contact',
    method: 'post',
    data: data
  })
}

// 修改联系人管理
export function updateContact(data) {
  return request({
    url: '/mk/bo/contact',
    method: 'put',
    data: data
  })
}

// 删除联系人管理
export function delContact(id) {
  return request({
    url: '/mk/bo/contact/' + id,
    method: 'delete'
  })
}

//导入
export function importData(data) {
  return request({
    url: `/mk/bo/contact/importData`,
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}