export default function useColumns() {

  const FormColumns = [
    {
      item: {
        title: '经销商名称', key: 'dealerName',
        required: true,
      },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: {
        title: '授权区/医院', key: 'authorizedAreaName',
        required: true,
      },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: {
        title: '授权产品', key: 'authorizedProductsName',
        required: true,
      },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: {
        title: '授权期限', key: 'time',
        required: true,
      },
      attr: {
        is: "el-date-picker",
        type: "daterange",
        rangeSeparator: "至",
        clearable: true,
      }
    },
    {
      item: {
        title: '授权书开具时间', key: 'issueTime',
        required: true,
      },
      attr: {
        is: "el-date-picker",
        valueFormat: "yyyy-MM-dd",
        clearable: true,
      }
    },
  ]

  return { FormColumns }
}